clang 8.0.0

Public Member Functions | List of all members
clang::ExternalASTSource::Deserializing Class Reference

RAII class for safely pairing a StartedDeserializing call with FinishedDeserializing. More...

`#include "clang/AST/ExternalASTSource.h"`

## Public Member Functions
| Deserializing (ExternalASTSource *source)
| ~Deserializing ()

## Detailed Description

RAII class for safely pairing a StartedDeserializing call with FinishedDeserializing.

Definition at line 80 of file ExternalASTSource.h.

## Constructor & Destructor Documentation

## ◆ Deserializing()

clang::ExternalASTSource::Deserializing::Deserializing | ( | ExternalASTSource * | source | ) |
| inline explicit

Definition at line 84 of file ExternalASTSource.h.

References clang::ExternalASTSource::StartedDeserializing().

## ◆ ~Deserializing()

clang::ExternalASTSource::Deserializing::~Deserializing | ( |  | ) |
| inline

Definition at line 89 of file ExternalASTSource.h.

References clang::ExternalASTSource::FinishedDeserializing().

The documentation for this class was generated from the following file:

- include/clang/AST/ExternalASTSource.h